﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

// PkgCmdID.cs
// MUST match PkgCmdID.h
using System;

namespace NTNU.DependencySimulator
{
    static class PkgCmdIDList
    {
        public const uint cmdidDependency =        0x100;
        public const uint cmdidDepEditor =    0x101;

        public const int ToolbarID = 0x1000;
        public const int cmdidLoadFile = 0x132;
        public const int cmdidUndo = 0x133;
        public const int cmdidRedo = 0x134;
        public const int cmdidMapFiles = 0x135;
        public const int cmdidRecalculate = 0x136;
        public const int cmdidSimulateRefactoring = 0x137;
        public const int cmdidShowResult = 0x139;
        public const int cmdidReport = 0x140;
        public const int cmdidChangeView = 0x142;
        public const int cmdidHelp = 0x143;
        public const int cmdidRollback = 0x144;
        public const int cmdidFitness = 0x145;

        public const int cmdidDropDown = 0x1301;
        public const int cmdidMyDropDownComboGetList = 0x1302;

        public const int cmdidCtrlZ = 0x1754;
        public const int cmdidCtrlY = 0x1753;
        public const int cmdidCtrlS = 0x1752;
    };
}