﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using GraphController.Utility;

namespace GraphController.Common
{
    public class MyVertexController : GraphSharp.Controls.VertexControl
    {
        private Brush _background;
        public Brush Background
        {
            get { return _background; }
            set { _background = value; }
        }
    }

    public class MyEdgeControl : GraphSharp.Controls.EdgeControl
    {
        public MyEdgeControl()
            : base()
        {

        }
    }
}
