﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

// Guids.cs
// MUST match guids.h
using System;

namespace NTNU.DependencySimulator
{
    static class GuidList
    {
        public const string guidDepToolWIndowPkgString = "5cd349a5-9b97-425c-8fee-ceaf3a127079";
        public const string guidDepToolWIndowCmdSetString = "0393d3c5-3201-4a72-bf4a-7ba71fe4bba3";
        public const string guidToolWindowPersistanceString = "0049aa61-781d-4dbe-8e39-3daf0746efcc";

        public static readonly Guid guidDepToolWIndowCmdSet = new Guid(guidDepToolWIndowCmdSetString);
        public static readonly Guid guidDepToolWIndowRCSet = new Guid(guidDepToolWIndowCmdSetString);
    };
}